找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 493|回复: 0

[每日一码] 获取所有系统变量

[复制链接]

已领礼包: 13个

财富等级: 恭喜发财

发表于 2023-11-15 02:19:11 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
本帖最后由 LoveArx 于 2023-11-15 02:21 编辑

获取当前所有系统变量

ACAD2014以上版本

  1. static void AcRxPyApp_doit(void)
  2. {
  3.         std::unique_ptr<AcEdSysVarIterator> vars(new AcEdSysVarIterator());
  4.         for (vars->reset(); !vars->done(); vars->step())
  5.         {
  6.                 resbuf buf;
  7.                 buf.restype = 0;
  8.                 buf.resval.rint = 0;
  9.                 const AcRxVariable* var = vars->getSysVar();
  10.                 if (auto es = acedGetVar(var->name(), &buf); es != RTNORM)
  11.                 {
  12.                         acutPrintf(_T("\nName = %ls, value = NULL"), var->name());
  13.                         continue;
  14.                 }
  15.                 switch (buf.restype)
  16.                 {
  17.                 case RTSTR:
  18.                 {
  19.                         acutPrintf(_T("\nName = %ls, value = %ls"), var->name(), buf.resval.rstring);
  20.                         acutDelString(buf.resval.rstring);
  21.                         break;
  22.                 }
  23.                 case RTLONG:
  24.                 case RTSHORT:
  25.                 case RTINT64:
  26.                 {
  27.                         acutPrintf(_T("\nName = %ls, value = %ld"), var->name(), buf.resval.rlong);
  28.                         break;
  29.                 }
  30.                 case RTREAL:
  31.                 {
  32.                         acutPrintf(_T("\nName = %ls, value = %f"), var->name(), buf.resval.rreal);
  33.                         break;
  34.                 }
  35.                 case RTPOINT:
  36.                 case RT3DPOINT:
  37.                 {
  38.                         acutPrintf(_T("\nName = %ls, value = (%f,%f,%f"), var->name(), buf.resval.rpoint[0], buf.resval.rpoint[1], buf.resval.rpoint[2]);
  39.                         break;
  40.                 }
  41.                 }
  42.         }
  43. }





Name = VSAZEBRADIRECTION, value = 90
Name = VSAZEBRASIZE, value = 45
Name = VSAZEBRATYPE, value = 1
Name = WBDEFAULTBROWSER, value = 2
Name = WBHELPONLINE, value = 0
Name = WBHELPTYPE, value = 1
Name = WBLOCKCREATEMODE, value = 1
Name = WINDOWAREACOLOR, value = 150
Name = WIPEOUTFRAME, value = 1
Name = WORKSPACELABEL, value = 0
Name = WSAUTOSAVE, value = 0
Name = WSCURRENT, value =
Name = XCOMPAREBAKPATH, value = C:\Users\Administrator\AppData\Local\Autodesk\AutoCAD 2024\R24.3\chs\XCompareBackup
Name = XCOMPAREBAKSIZE, value = 500
Name = XCOMPARECOLORMODE, value = 1
Name = XCOMPAREENABLE, value = 1
Name = XREFLAYER, value = .
Name = XREFOVERRIDE, value = 0
Name = XREFREGAPPCTL, value = 0

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-7-22 13:25 , Processed in 0.170621 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表